org.apache.synapse.commons.builders

## Class SynapseMessageConverter

- java.lang.Object
- - org.apache.synapse.commons.builders.SynapseMessageConverter

- All Implemented Interfaces:
    MessageConverter

      public abstract class SynapseMessageConverter
      extends Object
      implements MessageConverter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SynapseMessageConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `convert(org.apache.axis2.context.MessageContext messageContext, OutputStream outputStream, String fromMediaType, String toMediaType)`
    `StringBuilder` | `convert(org.apache.axis2.context.MessageContext messageContext, String fromMediaType, String toMediaType)` Message formatter action.
    `void` | `convert(org.apache.axiom.om.OMElement element, OutputStream outputStream, String fromMediaType, String toMediaType)` Message formatter action.
    `StringBuilder` | `convert(org.apache.axiom.om.OMElement element, String fromMediaType, String toMediaType)` Message formatter action.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SynapseMessageConverter

          public SynapseMessageConverter()

  - ### Method Detail

    - #### convert

          public void convert(org.apache.axiom.om.OMElement element,
                              OutputStream outputStream,
                              String fromMediaType,
                              String toMediaType)

      Description copied from interface: `MessageConverter`
      Message formatter action.
      Specified by:
        `convert` in interface `MessageConverter`

    - #### convert

          public void convert(org.apache.axis2.context.MessageContext messageContext,
                              OutputStream outputStream,
                              String fromMediaType,
                              String toMediaType)

      Specified by:
        `convert` in interface `MessageConverter`

    - #### convert

          public StringBuilder convert(org.apache.axiom.om.OMElement element,
                                       String fromMediaType,
                                       String toMediaType)

      Description copied from interface: `MessageConverter`
      Message formatter action.
      Specified by:
        `convert` in interface `MessageConverter`
      Returns:

    - #### convert

          public StringBuilder convert(org.apache.axis2.context.MessageContext messageContext,
                                       String fromMediaType,
                                       String toMediaType)

      Description copied from interface: `MessageConverter`
      Message formatter action.
      Specified by:
        `convert` in interface `MessageConverter`
      Returns:

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.